Macromedia JRun Multiple Vulnerabilities

High Nessus Network Monitor Plugin ID 2316

Synopsis

The remote host is vulnerable to a buffer overflow.

Description

The remote host is running JRun, a J2EE application server running on top of IIS or Apache. There are multiple vulnerabilities in the remote version of this software :
- The JSESSIONID variable is not implemented securely. An attacker may use this flaw to guess the session id number of other users
- There is a code disclosure issue that may allow an attacker to obtain the contents of a .cfm file by appending ';.cfm' to the file name
- There is a buffer overflow vulnerability if the server connector is configured in 'verbose' mode. An attacker may exploit this flaw to execute arbitrary code on the remote host.

Solution

Upgrade or patch according to vendor recommendations.

See Also

http://www.acrossecurity.com/papers/session_fixation.pdf

http://www.idefense.com/intelligence/vulnerabilities/display.php?type=vulnerabilities&id=145

http://www.idefense.com/intelligence/vulnerabilities/display.php?type=vulnerabilities&id=148

http://www.macromedia.com/devnet/security/security_zone/mpsb04-08.html

http://www.macromedia.com/devnet/security/security_zone/mpsb04-09.html

Plugin Details

Severity: High

ID: 2316

Family: Web Servers

Published: 2004/09/24

Modified: 2016/01/15

Dependencies: 3057

Nessus ID: 14810

Risk Information

Risk Factor: High

CVSSv2

Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

CVSSv3

Base Score: 7.3

Temporal Score: 7

Vector: CVSS3#AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L

Temporal Vector: CVSS3#E:H/RL:O/RC:C

Reference Information

CVE: CVE-2004-0928, CVE-2005-4472, CVE-2005-4473, CVE-2004-0646, CVE-2004-1477, CVE-2004-1478, CVE-2004-2182

BID: 11331, 11411, 11413, 11414, 16026, 15905, 11245